Bug 1022172 - xjparse: remove versioned jars from %{_javadir}
xjparse: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xjparse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:54 EDT by Stanislav Ochotnicky
Modified: 2014-03-25 11:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 11:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adapt to current packaging guidelines (2.27 KB, patch)
2014-01-07 04:48 EST, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:54:59 EDT
Package xjparse seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
xjparse:
/usr/share/java/xjparse-1.0.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Michael Simacek 2014-01-07 04:48:47 EST
Created attachment 846543 [details]
Adapt to current packaging guidelines
Comment 2 Mikolaj Izdebski 2014-03-25 10:00:06 EDT
Fixed in xjparse-1.0-11
Comment 3 Mikolaj Izdebski 2014-03-25 11:11:39 EDT
I believe that this bug is fixed in xjparse-1.0-11,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=506863

Note You need to log in before you can comment on or make changes to this bug.